Campaigns
Create a campaign
Requires campaigns:write.
POST
/
v1
/
campaigns
Create a campaign
curl --request POST \
--url https://api.voice.wixzel.com/v1/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"agent_id": "6a96a3ead6e886d42462dd3e",
"lead_ids": [
"6a96a3ead6e886d42462dd3e"
],
"scheduled_at": "2026-09-01T12:00:00.000Z"
}
'import requests
url = "https://api.voice.wixzel.com/v1/campaigns"
payload = {
"name": "<string>",
"agent_id": "6a96a3ead6e886d42462dd3e",
"lead_ids": ["6a96a3ead6e886d42462dd3e"],
"scheduled_at": "2026-09-01T12:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
agent_id: '6a96a3ead6e886d42462dd3e',
lead_ids: ['6a96a3ead6e886d42462dd3e'],
scheduled_at: '2026-09-01T12:00:00.000Z'
})
};
fetch('https://api.voice.wixzel.com/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6a96a3ead6e886d42462dd3e",
"object": "campaign",
"name": "<string>",
"agent_id": "6a96a3ead6e886d42462dd3e",
"status": "idle",
"paused_reason": "<string>",
"lead_count": 123,
"scheduled_at": "2026-09-01T12:00:00.000Z",
"created_at": "2026-09-01T12:00:00.000Z"
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}Authorizations
Your Wixzel Voice API key: Authorization: Bearer wv_live_.... Keys are scoped; grant only what the integration needs.
Body
application/json
Required string length:
1 - 200Pattern:
^[0-9a-f]{24}$Example:
"6a96a3ead6e886d42462dd3e"
Required array length:
1 - 10000 elementsPattern:
^[0-9a-f]{24}$Starts immediately when omitted.
Example:
"2026-09-01T12:00:00.000Z"
Response
The created a campaign
Pattern:
^[0-9a-f]{24}$Example:
"6a96a3ead6e886d42462dd3e"
Available options:
campaign Pattern:
^[0-9a-f]{24}$Example:
"6a96a3ead6e886d42462dd3e"
Available options:
idle, scheduled, running, completed, stopped, paused ISO 8601, always UTC.
Example:
"2026-09-01T12:00:00.000Z"
ISO 8601, always UTC.
Example:
"2026-09-01T12:00:00.000Z"
⌘I
Create a campaign

